tvbrowser.ui.pluginview.contextmenu

## Class AbstractContextMenu

- java.lang.Object
- - tvbrowser.ui.pluginview.contextmenu.AbstractContextMenu

- All Implemented Interfaces:
    ContextMenu
  Direct Known Subclasses:
    CustomNodeContextMenu, PluginContextMenu, ProgramContextMenu, RootNodeContextMenu, StructureNodeContextMenu

      public abstract class AbstractContextMenu
      extends java.lang.Object
      implements ContextMenu

  Created by: Martin Oberhauser (martin@tvbrowser.org) Date: 03.01.2005 Time: 22:12:32

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractContextMenu(PluginTree tree)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Program[]` | `collectProgramsFromNode(Node node)` Runs through all Child-Nodes and collects the Program-Elements
    `protected javax.swing.JMenuItem` | `getCollapseAllMenuItem(javax.swing.tree.TreePath treePath)`
    `protected javax.swing.Action` | `getCollapseExpandAction(javax.swing.tree.TreePath treePath)`
    `protected javax.swing.JMenuItem` | `getExpandAllMenuItem(javax.swing.tree.TreePath treePath)`
    `protected javax.swing.JMenu` | `getExportMenu(javax.swing.tree.TreePath paths)` Create a Export-To-Other-Plugins Action
    `protected javax.swing.JMenuItem` | `getFilterMenuItem(javax.swing.tree.TreePath treePath)`
    `java.lang.Object` | `getObjectForNode(Node node)` Returns the Plugin for this Node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tvbrowser.ui.pluginview.contextmenu.ContextMenu

      `getDefaultAction, getPopupMenu`

- - ### Constructor Detail

    - #### AbstractContextMenu

          protected AbstractContextMenu(PluginTree tree)

  - ### Method Detail

    - #### getExpandAllMenuItem

          protected javax.swing.JMenuItem getExpandAllMenuItem(javax.swing.tree.TreePath treePath)

    - #### getCollapseAllMenuItem

          protected javax.swing.JMenuItem getCollapseAllMenuItem(javax.swing.tree.TreePath treePath)

    - #### getCollapseExpandAction

          protected javax.swing.Action getCollapseExpandAction(javax.swing.tree.TreePath treePath)

    - #### getExportMenu

          protected javax.swing.JMenu getExportMenu(javax.swing.tree.TreePath paths)

      Create a Export-To-Other-Plugins Action
      Parameters:
        `paths` - create action for this TreePath
      Returns:
        Export-To-Other-Plugins Action

    - #### getFilterMenuItem

          protected javax.swing.JMenuItem getFilterMenuItem(javax.swing.tree.TreePath treePath)

    - #### getObjectForNode

          public java.lang.Object getObjectForNode(Node node)

      Returns the Plugin for this Node. It searches for a Parent-Node containing a Plugin.
      Parameters:
        `node` - Node to use
      Returns:
        Plugin-Parent of this Node

    - #### collectProgramsFromNode

          public Program[] collectProgramsFromNode(Node node)

      Runs through all Child-Nodes and collects the Program-Elements
      Parameters:
        `node` - Node to search in
      Returns:
        all found Programs within this Node

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)